homedecor.register("spiral_staircase", {
	description = "Spiral Staircase",
	mesh = "homedecor_spiral_staircase_piece.obj",
	wield_scale = { x=0.4, y=0.4, z=0.4 },
	tiles = {
		"homedecor_generic_metal_wrought_iron.png",
	},
	node_box = {
		type = "fixed",
		fixed = {
			{-0.5625, -0.5, -0.5625, -0.4375, 0.5, -0.4375}, -- NodeBox9 center post
			{-0.5, -0.5, -0.5, 0.5, -0.4375, 0}, -- NodeBox14 bottom step
			
			{-0.5, -0.0625, -0.5, -0.25, 0, 0.5}, -- NodeBox15 2nd step
			{-0.25, -0.0625, -0.0625, 0, 0, 0.5}, -- NodeBox16 2nd step

			{-0.5, 0, 0.4375, 0.5, 1.625, 0.5}, -- NodeBox26 
			
			{0.4375, -0.5, -0.5, 0.5, 0.9375, 0.5}, -- NodeBox29

		}
	},
	groups = {cracky = 1},
	sounds = default.node_sound_wood_defaults(),
	on_rotate = screwdriver.rotate_simple,
})

minetest.register_on_placenode(function(pos, newnode, placer, oldnode, itemstack, pointed_thing)
	local belownode = minetest.get_node({ x = pos.x, y = pos.y - 1, z = pos.z })

	if newnode.name ~= "homedecor:spiral_staircase"
	  and belownode
	  and belownode.name == "homedecor:spiral_staircase" then
		minetest.set_node(pos, { name = "air" })

		local newpos = { x = pos.x, y = pos.y + 2, z = pos.z }
		local checknode = minetest.get_node(newpos)

		if checknode and checknode.name == "air" then
			local fdir = minetest.dir_to_facedir(placer:get_look_dir())
			minetest.set_node(newpos, { name = newnode.name, param2 = fdir })
		else
			return true
		end
	end
end)